# Signature Image ERR

This API provides a downloadable link containing the signature image for a specific ERR (Electronic Return Receipt) shipment. This signature image serves as Proof of Delivery (POD). 
**What is Proof of Delivery (POD)?**
Proof of Delivery is a document or file that acts as evidence of successful shipment delivery. This file contains a digital copy of the recipient's signature, provided as a downloadable link or URL.
**Key Considerations:**
- It provides the recipient's signature image captured at the time of delivery as proof that the shipment was successfully delivered.
- The API provides the recipient's signature image as Proof of Delivery (POD) to confirm successful shipment delivery.
- A request requires the mandatory `shipmentId`.
- If a signature is captured by the carrier, the API returns it as a downloadable link of the PDF in the `signatureFileURL` field.
- The `signatureFileURL` provided in the API response expires after 60 minutes.
- If no signature is available, the API returns an error.
- Signature Image ERR is supported for USPS carrier only.

Endpoint: GET /api/v1/err/shipments/{shipmentId}/signaturefile
Version: 1.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Path parameters:

  - `shipmentId` (string, required)
    Shipment ID is a unique identifier for an individual shipment.

## Header parameters:

  - `X-PB-Developer-Partner-ID` (string)
    The Developer Partner ID is assigned by PB to uniquely identify a Developer's strategic business partners. If the developer is the sole business partner, this field is not required.

## Response 200:

  - `200` (unknown)
    Signature image as proof of delivered shipment.

## Response 200 fields (application/json):

  - `shipmentId` (string)
    Indicates the shipment identifier, a unique identifier for an individual shipment.
    Example: USPS2200592809609000

  - `signatureFileURL` (string)
    A link or URL that consists of Proof of Delivery (POD) - Recipient's Signature image file. Clicking the link will download the POD Signature.
    Example: https://api-sandbox.pitneybowes.com/shippingservices/v1/shipments/210000000000000000/sig.jpg

## Response 400:

  - `400` (unknown)
    Invalid request.

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due to HTTP  400- Invalid or Bad Request, e.g., validation-error.
    Example: validation_error

  - `errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: string

  - `additionalCode` (string)
    A unique identifier for the error, for example 1101055, 0100008, or 1021126.

  - `additionalInfo` (string)
    This is an additional information about the error. This error 'Invalid Request' might appear due to invalid dimension, weight, or serviceID, or if the information is missing.

  - `additionalParameters` (array)

## Response 401:

  - `401` (unknown)
    The request could not be authorized.

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, which indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 500:

  - `500` (unknown)
    The request could not be completed due to an internal error.

## Response 500 fields (application/json):

  - `message` (string, required)
    This is HTTP 500 Internal Server Error response status code, which indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

